# Makefile create for XAPP Test
# Create by liuwei

cc = gcc
#CFLAG = -g -Wall -c -DVMS_UNDER_DEVELOP
CFLAG = -g -Wall -c
LIB_DIR = ../..
XAPP_TEST_OBJ = xapp_main.o xapp_op_test.o  xapp_coding_test.o 

PUBLIC_LIB = -L$(LIB_DIR)/public -lpublic
MTP3_LIB = -L$(LIB_DIR)/mtp3 -lmtp3 
DEBUG_LIB = -L$(LIB_DIR)/debug -ldebug
SNMP_LIB = -L$(LIB_DIR)/snmp -lsnmp
SCCP_LIB = -L$(LIB_DIR)/sccp -lsccp
TCAP_LIB = -L$(LIB_DIR)/tcap -ltcap
XAPP_LIB	=	-L$(LIB_DIR)/xapp -lxapp
IPTRANS_LIB = -L$(LIB_DIR)/iptrans -liptrans 

xapp_test: $(XAPP_TEST_OBJ)
	$(cc) -o xapp_test  $(XAPP_TEST_OBJ) $(DEBUG_LIB) $(IPTRANS_LIB) $(SNMP_LIB) $(MTP3_LIB) $(SCCP_LIB) $(TCAP_LIB)  $(XAPP_LIB) $(PUBLIC_LIB) -lm -lz 

xapp_main.o: xapp_main.c
	$(cc) $(CFLAG) xapp_main.c	
	
xapp_op_test.o : xapp_op_test.c
	$(cc) $(CFLAG) xapp_op_test.c	

xapp_coding_test.o : xapp_coding_test.c
	$(cc) $(CFLAG) xapp_coding_test.c

run: 
		cd .. ; rm -f *.a 
		cd ../mapp;make;cd .. 
		cd ../capp;make;cd ..
		cd .. ;make; 
		rm -f xapp_test ; make
clean:
	cd ../ ;make clean
	rm -f *.o *.a *.bak core xapp_test
	
backup:
	
